call plug#begin('~/local/share/nvim/plugged')

Plug 'itchyny/lightline.vim'
Plug 'airblade/vim-gitgutter'
Plug 'editorconfig/editorconfig-vim'
Plug 'itchyny/lightline.vim'
Plug 'junegunn/fzf', { 'do': { -> fzf#install() } }
Plug 'junegunn/fzf.vim'
Plug 'mattn/emmet-vim'
Plug 'scrooloose/nerdtree'
Plug 'terryma/vim-multiple-cursors'
Plug 'tpope/vim-eunuch'
Plug 'tpope/vim-surround'
Plug 'scrooloose/syntastic'
Plug 'vim-airline/vim-airline'
Plug 'vim-airline/vim-airline-themes'
Plug 'prabirshrestha/vim-lsp'
Plug 'tomasr/molokai'
Plug 'fatih/vim-go'
Plug 'artur-shaik/vim-javacomplete2'
Plug 'Valloric/YouCompleteMe', { 'do': './install.py' }
Plug 'gko/vim-coloresque'
Plug 'preservim/nerdcommenter'
Plug 'junegunn/goyo.vim'
Plug 'rust-lang/rust.vim'
Plug 'lervag/vimtex'
Plug 'xuhdev/vim-latex-live-preview', { 'for': 'tex' }
Plug 'nanotee/zoxide.vim'
Plug 'vimwiki/vimwiki'
Plug 'mattn/calendar-vim'
call plug#end()

let g:molokai_original = 1
let g:airline_theme='molokai'
let g:ale_enable=0
syntax on
filetype plugin indent on
set shiftwidth=4
set softtabstop=4
set tabstop=4
set expandtab
set number relativenumber
colorscheme monokai
set nocompatible

let g:livepreview_previewer = 'zathura'

let mapleader = ","

let g:vimwiki_list = [{'path': '~/vimwiki/',
                      \ 'syntax': 'markdown', 'ext': '.md'}]

:map <F11> :setlocal spell! spelllang=en_gb<CR>

let NERDTreeMapOpenInTab='<ENTER>'

au BufNewFile ~/vimwiki/diary/*.md :silent 0r !~/.config/nvim/generate-vimwiki-diary-template '%'




























